Patches for aports can be sent to this list

2

[alpine-aports] [PATCH 0/2] Modernizing html-xml-utils's APKBUILD and moving to community.

Przemyslaw Pawelczyk
Details
Message ID
<20160826220637.23154-1-przemoc@zoho.com>
Sender timestamp
1472249195
DKIM signature
missing
Download raw message
I was the one requesting html-xml-utils back then:
http://bugs.alpinelinux.org/issues/4933
and I am recently using it on Alpine Linux.

I don't use all the utilities normally, mostly hxnormalize and hxselect,
but I haven't spotted any problems with these useful programs.

I'm not html-xml-utils maintainer, but if needed after the move, I may
commit to that, officially or unofficially (as I'm not official AL
developer).

Przemyslaw Pawelczyk (2):
  testing/html-xml-utils: Modernize APKBUILD.
  community/html-xml-utils: Move from testing.

 community/html-xml-utils/APKBUILD              | 55 ++++++++++++++++++++++++++
 community/html-xml-utils/getopt-musl-fix.patch | 12 ++++++
 testing/html-xml-utils/APKBUILD                | 49 -----------------------
 testing/html-xml-utils/getopt-musl-fix.patch   | 12 ------
 4 files changed, 67 insertions(+), 61 deletions(-)
 create mode 100644 community/html-xml-utils/APKBUILD
 create mode 100644 community/html-xml-utils/getopt-musl-fix.patch
 delete mode 100644 testing/html-xml-utils/APKBUILD
 delete mode 100644 testing/html-xml-utils/getopt-musl-fix.patch

-- 
2.8.3




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 1/2] testing/html-xml-utils: Modernize APKBUILD.

Przemyslaw Pawelczyk
Details
Message ID
<20160826220637.23154-2-przemoc@zoho.com>
In-Reply-To
<20160826220637.23154-1-przemoc@zoho.com> (view parent)
Sender timestamp
1472249196
DKIM signature
missing
Download raw message
Patch: +25 -19
* APKBUILD:
 - Use builddir (no _).
 - Leverage default_prepare.
 - Reformat prepare(), build(), package() to make them more readable.
 - Update URL (use https instead of http).
 - Bump pkgrel.
---
 testing/html-xml-utils/APKBUILD | 44 +++++++++++++++++++++++------------------
 1 file changed, 25 insertions(+), 19 deletions(-)

diff --git a/testing/html-xml-utils/APKBUILD b/testing/html-xml-utils/APKBUILD
index 4bc8ceb84460..bbd7c3300631 100644
--- a/testing/html-xml-utils/APKBUILD
+++ b/testing/html-xml-utils/APKBUILD
@@ -2,9 +2,9 @@
 # Maintainer: Francesco Colista <fcolista@alpinelinux.org>
 pkgname=html-xml-utils
 pkgver=7.0
-pkgrel=0
+pkgrel=1
 pkgdesc="A number of simple utilities for manipulating HTML and XML files."
-url="http://www.w3.org/Tools/HTML-XML-utils/"
+url="https://www.w3.org/Tools/HTML-XML-utils/"
 arch="all"
 license="Custom"
 depends=""
@@ -12,33 +12,39 @@ depends_dev=""
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-source="http://www.w3.org/Tools/HTML-XML-utils/$pkgname-$pkgver.tar.gz
+source="$url/$pkgname-$pkgver.tar.gz
 	getopt-musl-fix.patch"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
+
 prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	sed -e "/doc_DATA = COPYING/d" -i Makefile.in || return 1
+	default_prepare || return 1
+	sed \
+	    -e "/doc_DATA = COPYING/d" \
+	    -i Makefile.in \
+		|| return 1
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
-		--prefix=/usr \
-		--disable-dependency-tracking 
-	make || return 1
+	            --prefix=/usr \
+	            --disable-dependency-tracking \
+		|| return 1
+
+	make \
+		|| return 1
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+	cd "$builddir"
+	make install \
+	     DESTDIR="$pkgdir" \
+		|| return 1
+	install -D -m 644 \
+	        COPYING \
+	        "$pkgdir"/usr/share/licenses/$pkgname/COPYING \
+		|| return 1
 }
 
 md5sums="b513432f7f084c158495815cc5118f0f  html-xml-utils-7.0.tar.gz
-- 
2.8.3




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] community/html-xml-utils: Move from testing.

Przemyslaw Pawelczyk
Details
Message ID
<20160826220637.23154-3-przemoc@zoho.com>
In-Reply-To
<20160826220637.23154-1-przemoc@zoho.com> (view parent)
Sender timestamp
1472249197
DKIM signature
missing
Download raw message
---
 {testing => community}/html-xml-utils/APKBUILD              | 0
 {testing => community}/html-xml-utils/getopt-musl-fix.patch | 0
 2 files changed, 0 insertions(+), 0 deletions(-)
 rename {testing => community}/html-xml-utils/APKBUILD (100%)
 rename {testing => community}/html-xml-utils/getopt-musl-fix.patch (100%)

diff --git a/testing/html-xml-utils/APKBUILD b/community/html-xml-utils/APKBUILD
similarity index 100%
rename from testing/html-xml-utils/APKBUILD
rename to community/html-xml-utils/APKBUILD
diff --git a/testing/html-xml-utils/getopt-musl-fix.patch b/community/html-xml-utils/getopt-musl-fix.patch
similarity index 100%
rename from testing/html-xml-utils/getopt-musl-fix.patch
rename to community/html-xml-utils/getopt-musl-fix.patch
-- 
2.8.3




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---